> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zayo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Ping



## OpenAPI

````yaml /openapi.json post /service/looking_glass/ping
openapi: 3.1.0
info:
  title: NIRO API
  description: Tenant API shema for NIRO
  version: NIRO-2.13.0
servers: []
security: []
tags:
  - name: service - aws
    description: >-
      Management of AWS cloud credentials, enabling seamless integration and
      automated connectivity
  - name: service - looking glass
    description: Test network connectivity
  - name: service - SDR
    description: >-
      Management for SDR (Session Details Records), a superset of classic
      NetFlow data
  - name: tenant
    description: >-
      Manage tenant-related information like packages and services as well as
      contact information
  - name: tenant - virtual interface
    description: Management for VIs (Virtual Interfaces)
  - name: group
    description: >-
      Predefined Groups of IP prefixes and IPs ready to be used in filters for
      firewall and other services
  - name: sites
    description: >-
      Manage information about sites providing network reach to order new
      Customer Ports
paths:
  /service/looking_glass/ping:
    post:
      tags:
        - service - looking glass
      summary: Ping
      operationId: ping_service_looking_glass_ping_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PingRequestParameters'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExecutorResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearerFromCookie: []
components:
  schemas:
    PingRequestParameters:
      properties:
        vrf_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Vrf Name
        gate_vi_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Gate Vi Name
        system_name:
          anyOf:
            - type: string
            - type: 'null'
          title: System Name
        address:
          type: string
          title: Address
      type: object
      required:
        - address
      title: PingRequestParameters
    ExecutorResponse:
      properties:
        message:
          type: string
          title: Message
      type: object
      required:
        - message
      title: ExecutorResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearerFromCookie:
      type: http
      scheme: bearer

````